IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME='GLB_MENSAGEM_FRENTE_LOJA') 
BEGIN
	CREATE TABLE [DBO].[GLB_MENSAGEM_FRENTE_LOJA](
		[CD_FILIAL] [INT]  NOT NULL,
		[CD_CTR] [INT] IDENTITY(1,1) NOT NULL,
		[DS_CAD] [VARCHAR](200) NOT NULL,
		[MENSAGEM] [VARCHAR](8000) NOT NULL,
		[DT_INI] [DATETIME] NOT NULL,
		[DT_FIM] [DATETIME] NOT NULL,
		[FLAG_PDV] [INT] NOT NULL,
		[FLAG_ORCAMENTO] [INT] NOT NULL,
	 CONSTRAINT [PK_GLB_MENSAGEM_FRENTE_LOJA] PRIMARY KEY CLUSTERED 
	(
		[CD_FILIAL] ASC, 
		[CD_CTR] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	
	ALTER TABLE [DBO].[GLB_MENSAGEM_FRENTE_LOJA] ADD  CONSTRAINT [DF_GLB_MENSAGEM_FRENTE_LOJA_FLAG_PDV]  DEFAULT ((0)) FOR [FLAG_PDV]
	
	ALTER TABLE [DBO].[GLB_MENSAGEM_FRENTE_LOJA] ADD  CONSTRAINT [DF_GLB_MENSAGEM_FRENTE_LOJA_FLAG_ORCAMENTO]  DEFAULT ((0)) FOR [FLAG_ORCAMENTO]
	
END


